%global geany_plug_docdir %{_defaultdocdir}/%{name}
Name:           geany-plugins
Version:        1.26
Release:        %mkrel 1

Group:          Development/GNOME and GTK+
License:        GPLv2+ ; GPLv3+
Summary:        A collection of different plugins for Geany
Summary(de):	Eine Sammlung von verschiedenen Erweiterungen für Geany
Url:            http://plugins.geany.org/
Source0:        http://plugins.geany.org/geany-plugins/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	geany-devel >= %{version}
BuildRequires:  gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:  lua5.1-devel
BuildRequires:	%{_lib}enchant-devel
BuildRequires:	gtkspell-devel
BuildRequires:	%{_lib}python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:  %{_lib}gpgme-devel
BuildRequires:	%{_lib}webkitgtk1.0-devel
Requires:       lua

%description

Geany-Plugins is a collection of different plugins for Geany,
a lightweight IDE. It provides a common location for plugin authors
and users with a known infrastructure and support. List of included
plugins:


- Addons: Collection of small addons for geany
- Codenav: make it possible to
           - switch between header and implementation
           - go to a file by typing its name
- Geanydoc: allow executing specified commands on the
            current word at the cursor position
- Geanyextreasel: The Extra Selection adds several selection
                  enhancements to geany
- Geanygdb: integrated debugging support within Geany via
            the GNU Debugger (GDB).
- Geanyinsertnum: replaces a (possibly zero-width) rectangular selection
                  with integer numbers, using start/step/base etc.
                  specified by the user.
- Geanylatex: GeanyLaTeX is a plugin for Geany IDE to improve work
              with LaTeX.
- Geanylipsum: implements a Lorem Ipsum generator to insert
               placeholder text into your document
- Geanyprj: alternative project manager for Geany fast light IDE
- Geanysendmail: send a document as attachment using the preferred
                 mail client from inside Geany
- Geanyvc: provides a uniform way of accessing the different
           version-control systems inside Geany IDE.
- ShiftColumn: allows you to move blocks of text horizontally
- Spellcheck: checks the content of the current document in Geany
              with the spell check library Enchant
- Treebrowser

%description -l de
Geany-Plugins ist eine Sammlung von verschiedenen Erweiterungen für Geany,
eine Resourcen sparende IDE. Es bietet einen gemeinsamen Ort für Autoren
von Erweiterungen und Benutzer mit einer bekannten Infrastruktur und
Unterstützung. Liste einiger beinhalteten Erweiterungen:

- Addons: Sammlung kleiner Erweiterungen
- Codenav: macht es möglich
	   - zwischen Header und Implementierung zu wechseln
	   - zu einer Datei durch das Eintippen des Namens gehen
- Geanydoc: erlaubt es spezifizierte Befehle auf das aktuelle Wort,
            an der Cursorposition, auszuführen
- Geanygdb: integriert Debugging Unterstützung in Geany via den 
	    GNU Debugger (GDB)
- Geanylatex: GenayLaTeX ist ein Plugin, das die Arbeit mit LaTeX verbessert
- Geanylipsum: implementiert einen Lorem Ipsum Generator zum Einfügen
               von Platzhaltertext in Ihr Dokument
- Geanyprj: Alternativer Projektmanager für Geany
- Geanysendmail: sendet ein Dokument als Anhang, wobei der bevorzugte
		 Email-Klient von Geany heraus benutzt wird.
- Geanyvc: bietet einen einheitlichen Weg auf die verschiedenen Versions-
	   kontrollsysteme aus Geany heraus zuzugreifen.
- ShiftColumn: Erlaubt es Kodeblöcke horizontal zu bewegen
- Spellchecker: überprüft den Inhalt des aktuellen Dokuments in Geany
		mit der Rechtschreibprüfungsbibliothek Enchant
- Treebrowser

%prep
%setup -q

%build
%configure2_5x --docdir=%{geany_plug_docdir}
%make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install -p DESTDIR=$RPM_BUILD_ROOT

# Remove static library *.la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%if "%{_libdir}" != "%{_libexecdir}"
%{_libexecdir}/geany-plugins
%endif
%{_libdir}/geany/*
# %{_datadir}/doc/geany-plugins
%dir %{_datadir}/geany-plugins
%{_datadir}/geany-plugins/*
%dir %{_datadir}/geany/geanypy/plugins
%{_datadir}/geany/geanypy/plugins/*.py
%{_libdir}/geany-plugins/geanylua/*.so
%{_iconsdir}/hicolor/*/apps/prjorg-*.png


%changelog
* Thu Jan 14 2016 bb <bb> 1.26-1pclos2016
- update

* Fri Aug 28 2015 ghostbunny <ghostbunny at gmx dot de> 1.25-1pclos2015
- 1.25
- add BR libwebkitgtk-devel

* Mon Apr 14 2014 daniel <meisssw01 at gmail.com> 1.24-1free2014
- upstreamm tarball
- adjust BR

